package jpa;


import jakarta.persistence.EntityManager;
import jakarta.persistence.EntityTransaction;
import metier.*;

public class JpaTest {


	private EntityManager manager;

	public JpaTest(EntityManager manager) {
		this.manager = manager;
	}
	/**
	 * @param args
	 */
	public static void main(String[] args) {
			EntityManager manager = EntityManagerHelper.getEntityManager();

		JpaTest test = new JpaTest(manager);

		EntityTransaction tx = manager.getTransaction();
		tx.begin();
		try {


		} catch (Exception e) {
			e.printStackTrace();
		}
		tx.commit();

			
   	 manager.close();
		EntityManagerHelper.closeEntityManagerFactory();
		System.out.println(".. done");
	}

    private void create_quizz() {
        int numQuizz = manager.createQuery("SELECT q FROM Quizz q", Quizz.class).getResultList().size();
        if (numQuizz == 0) {
            //Utilisateur
            Utilisateur utilisateur1 = new Utilisateur();
            utilisateur1.setId(1);
            utilisateur1.setName("Tibo");

            Utilisateur utilisateur2 = new Utilisateur();
            utilisateur2.setId(2);
            utilisateur2.setName("Rochas");
            
            manager.persist(utilisateur1);

        }
    }





}
